//////////////////////////////////////////////////////////////////////
// MyLandscape.h: interface for the MyLandscape class.
// 
//		Quick and dirty terrain generation (Random not fractal anything!)
//
// Portions Copyright (C) 1999 NVIDIA Corporation. All rights reserved
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MYLANDSCAPE_H__600DD922_943A_11D2_85B4_00104B2764D5__INCLUDED_)
#define AFX_MYLANDSCAPE_H__600DD922_943A_11D2_85B4_00104B2764D5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "nvidia.h"

typedef struct tagTRI
{
	unsigned short v1;
	unsigned short v2;
	unsigned short v3;

}TRI, *PTRI;

class MyLandscape  
{
public:
	int x;
	int z;
	LPD3DVERTEX pVertices;
	PTRI pTriangles;
	
	LPDIRECT3DVERTEXBUFFER pVBObject;
	LPDIRECT3DVERTEXBUFFER pVBScreenSpace;
	

	void Render(LPDIRECT3DDEVICE3 lpDev);

	MyLandscape(int _x,int _z);

	virtual ~MyLandscape();

};

#endif // !defined(AFX_MYLANDSCAPE_H__600DD922_943A_11D2_85B4_00104B2764D5__INCLUDED_)
