#include <d3d.h>
#include <d3dtypes.h>


#pragma comment(lib, "ddraw.lib")
#pragma comment(lib, "dplay.lib")
#pragma comment(lib, "dsound.lib")
#pragma comment(lib, "comctl32.lib")
#pragma comment(lib, "winmm.lib")
#pragma comment(lib, "dxguid.lib")

#include "D3DFrame.h"
#include "D3DUtil.h"
#include "D3DEnum.h"
#include "D3DMath.h"
#include "D3DTextr.h"



#include "winsupport.def"
#include "errormsg.def"


extern HWND g_hWndMain;
extern TextureContainer* g_ContainerList;     // Textures list
extern const Float pi;
extern float rnd(void);

extern BOOL(*MouseHandler)(HWND, UINT, WPARAM, LPARAM);    /* sample's function which traps */
extern BOOL(*KeyboardHandler)(HWND, UINT, WPARAM, LPARAM); /* sample's functions which traps*/

#define CHECK_RES(str, res) if (res) ErrorReport(str, res)