#ifndef _NVIDIA_H_
#define _NVIDIA_H_

#define STRICT
#define D3D_OVERLOADS
#define NOMINMAX

#include "nvtypes.h"


#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
#include <tchar.h>

#include <basic_types.h>
//#include <algebra.h>
//#include <nvmacs.h>


#define PI 3.1415926535897932384626433832795028841971693993751
#define M_PI 3.1415926535897932384626433832795028841971693993751
#define INFINITY ((float)3.40282346638528860e+38)

#include <ddraw.h>
#include <d3d.h>
//#include <windowsx.h>
//#include "d3dutils.h"

#pragma comment(lib, "ddraw.lib")
#pragma comment(lib, "dplay.lib")
//#pragma comment(lib, "d3drm.lib")
#pragma comment(lib, "dsound.lib")
#pragma comment(lib, "comctl32.lib")
#pragma comment(lib, "winmm.lib")
#pragma comment(lib, "dxguid.lib")




// options
#define SPECULAR 1



#pragma warning(disable : 4514)     // unreferenced inline function has been removed
#pragma warning(disable : 4201)     // nonstandard extension used : nameless struct/union 
#pragma warning(disable : 4505)     // unreferenced local function has been removed
#pragma warning(disable : 4244)     // conversion from 'int' to 'unsigned char', possible loss of data
#pragma warning(disable : 4101)     // unreferenced local variable
#pragma warning(disable : 4018)     // signed/unsigned mismatch
//#pragma warning(disable : 4305)     // truncation from 'const double' to 'float'

/*

#include "fev.h"
#include "ml_float.h"
#include "ml_euler.h"
#include "ml_normals.h"
#include "ml_stack.h"
#include "geom.h"

*/
#endif // _NVIDIA_H_

